Sync Proftpd-dfsg 1.3.3d-4 (universe) from Debian Unstable (main)

Bug #729524 reported by Mahyuddin Susanto on 2011-03-05
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
proftpd-dfsg (Ubuntu)
Wishlist
Unassigned

Bug Description

Package doesn't have ubuntu-specific changes.

proftpd-dfsg (1.3.3d-4) unstable; urgency=high

   * Fixed previous changelog.
   * Now proftpd.conf includes /etc/proftpd/conf.d contents to allow custom
     configurations being loaded after system ones in separate files.
   * Added README.Debian for proftpd-dev to explain how to build add-on
     modules.
   * [PATCH] silent remove excessive verbosity at startup about conf.d
     directory parsing.
   * Updated debian/NEWS file with information about new conf.d directory.
   * Now configuration file name can be overriden at run-time.
     (closes: #613527)
   * Now uses Breaks instead of Conflicts against pre-squeeze proftpd package.
   * [SECURITY,PATCH] CVE-2011-1137: mod_sftp behaves badly when receiving
     badly formed SSH messages.
     (closes: #616179)
   * Updated Czech debconf template.
     (closes: #616336)

 -- Francesco Paolo Lovergine <email address hidden> Fri, 04 Mar 2011 00:42:18 +0100
proftpd-dfsg (1.3.3d-3) unstable; urgency=low

   * Updated danish template.
     (closes: #599862)
   * Now grep uses --silet to avoid warning at /etc/inetd.conf parsing.
     (closes: #605781)
   * Added commented TZ explicit set in proftpd.conf template.
     Thanks John Wright.
     (closes: #576888)
   * [PATCH] prxs.in fixed to avoid using the shell to call libtool, which
     prevents prxs working correctly with any shell.

 -- Francesco Paolo Lovergine <email address hidden> Tue, 15 Feb 2011 12:16:48 +0100
proftpd-dfsg (1.3.3d-2) unstable; urgency=low

   * Added Vcs-* fields for the new pkg-proftpd alioth project.
   * Now using pkg-proftpd developers list as Maintainer field and
     added me as an Uploader.
   * Updated README.source to reflect changes to maintainance.
   * Changed long description in debian/control* to be more smart and up-to-date.
   * Changed ProFTPd string occurrences in ProFTPD in all templates, as it is the
     official program name since a long time.
   * Fixed proftpd-substvars for current version.
   * Now proftpd-substvars is updated at every build to avoid easy oversights.

 -- Francesco Paolo Lovergine <email address hidden> Fri, 11 Feb 2011 14:02:32 +0100
proftpd-dfsg (1.3.3d-1) unstable; urgency=low

   * New upstream stable release with ABI bumping.
   * Moved to source format 3.0, with quilt.
   * Moved debian patches to quilt.
   * Policy bumped to 3.9.1.
   * Removed all patches merged upstream.

 -- Francesco Paolo Lovergine <email address hidden> Tue, 08 Feb 2011 13:42:03 +0100
proftpd-dfsg (1.3.3a-6) unstable; urgency=high

   * [SECURITY] 3536.dpatch fixes insufficient bounds checking in sql_prepare_where()
     function as found in mod_sql.c.

 -- Francesco Paolo Lovergine <email address hidden> Fri, 28 Jan 2011 09:54:52 +0100

CVE References

summary: - Sync Proftpd-dfsg 1.3.3d-4 (main) from Debian Unstable (main)
+ Sync Proftpd-dfsg 1.3.3d-4 (universe) from Debian Unstable (main)
Michael Bienia (geser) wrote :

Sync request ACKed.

Bugfix release, the upstream changelog (http://www.proftpd.org/docs/RELEASE_NOTES-1.3.3d, http://www.proftpd.org/docs/NEWS-1.3.3d) mention only bug fixes, no new features.

Changed in proftpd-dfsg (Ubuntu):
status: New → Confirmed
importance: Undecided → Wishlist
Colin Watson (cjwatson) wrote :

[Updating] proftpd-dfsg (1.3.3a-5 [Ubuntu] < 1.3.3d-4 [Debian])
 * Trying to add proftpd-dfsg...
2011-03-07 14:50:55 INFO - <proftpd-dfsg_1.3.3d.orig.tar.gz: downloading from http://ftp.debian.org/debian/>
2011-03-07 14:50:56 INFO - <proftpd-dfsg_1.3.3d-4.debian.tar.gz: downloading from http://ftp.debian.org/debian/>
2011-03-07 14:50:57 INFO - <proftpd-dfsg_1.3.3d-4.dsc: downloading from http://ftp.debian.org/debian/>
I: proftpd-dfsg [universe] -> proftpd-basic_1.3.3a-5 [universe].
I: proftpd-dfsg [universe] -> proftpd-dev_1.3.3a-5 [universe].
I: proftpd-dfsg [universe] -> proftpd-doc_1.3.3a-5 [universe].
I: proftpd-dfsg [universe] -> proftpd-mod-mysql_1.3.3a-5 [universe].
I: proftpd-dfsg [universe] -> proftpd-mod-pgsql_1.3.3a-5 [universe].
I: proftpd-dfsg [universe] -> proftpd-mod-ldap_1.3.3a-5 [universe].
I: proftpd-dfsg [universe] -> proftpd-mod-odbc_1.3.3a-5 [universe].
I: proftpd-dfsg [universe] -> proftpd-mod-sqlite_1.3.3a-5 [universe].

Changed in proftpd-dfsg (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers